Skip to main content
Version: V4.0

Family Management API


Get Family List

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
page_sizeIntegerBodyYesPage size
page_indexIntegerBodyYesPage index

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
result[]Object<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
residence_idStringBodyResidence ID
family_nameStringBodyFamily name
residence_noStringBodyResidence number
building_idStringBodyBuilding ID
building_nameStringBodyBuilding name
accounts[]Object<account>BodyAccount information
devices[]Object<device>BodyDevice information
akuvox_devices[]Object<akuvox_device>BodyAkuvox device information

account description

Parameter NameTypeLocationDescription
account_idStringBodyAccount ID
account_nameStringBodyAccount name
first_nameStringBodyFirst name
last_nameStringBodyLast name
emailStringBodyEmail
phoneStringBodyPhone
authStringBodyAccount authorization
admin: owner, the top administrator
user: family administrator
guest: family ordinary user
created_timeStringBodyCreated time, UTC

device description

Parameter NameTypeLocationDescription
device_idStringBodyDevice ID
device_nameStringBodyDevice name
product_nameStringBodyProduct name
macStringBodyMAC
space_nameStringBodySpace name
onlineBooleanBodyWhether the device is online or not?
true: online
false: offline
created_timeStringBodyCreated time, UTC

akuvox_device description

Parameter NameTypeLocationDescription
device_nameStringBodyDevice name
device_typeStringBodyDevice type, Multi-tenants Doorphone or Single-tenant Doorphone or Indoor Monitor or Guard Phone or Access Control
macStringBodyMAC
onlineBooleanBodyWhether the device is online or not?
true: online
false: offline
created_timeStringBodyCreated time, UTC

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_family_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1,
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1724721898925,
"result": [
{
"residence_id": "r2c4b070cc928496198944858b344fc68",
"family_name": "test",
"residence_no": "101",
"building_id": "b1a621c1ae77040d697bd2134700f57ee",
"building_name": "AB01",
"accounts": [
{
"account_id": "a1a621c1ae77040d697bd2134700f57ee",
"account_name": "test@akubela.com",
"first_name": "Fly",
"last_name": "Dom",
"phone": "1234567",
"email": "test@akubela.com",
"created_time": "2024-07-23 17:13:53",
"auth": "admin"
}
],
"devices": [
{
"device_id": "d28b494e5babb46b288f4baf7fe322cc4",
"device_name": "HyPanel Pro",
"product_name": "HyPanel Pro",
"mac": "B10300240717",
"space_name": "Living Room",
"online": true,
"created_time": "2024-07-17 17:55:30"
}
],
"akuvox_devices": [
{
"device_type": "Multi-tenants Doorphone",
"device_name": "test",
"mac": "0CF10532D226",
"online": true,
"created_time": "2024-07-17 17:55:31"
}
]
}
]
}

Failure Return Example

See Failure Return Example



Get Family Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
residence_idStringBodyYesResidence ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
family_nameStringBodyFamily name
residence_noStringBodyResidence number
building_idStringBodyBuilding ID
building_nameStringBodyBuilding name
call_typeStringBodyCall type
ip: IP call
sip: SIP call
accounts[]Object<account>BodyAccount information
devices[]Object<device>BodyDevice information
akuvox_devices[]Object<akuvox_device>BodyAkuvox device information

account description

Parameter NameTypeLocationDescription
account_idStringBodyAccount ID
account_nameStringBodyAccount name
first_nameStringBodyFirst name
last_nameStringBodyLast name
emailStringBodyEmail
phoneStringBodyPhone
authStringBodyAccount authorization
admin: owner, the top administrator
user: family administrator
guest: family ordinary user
created_timeStringBodyCreated time, UTC

device description

Parameter NameTypeLocationDescription
device_idStringBodyDevice ID
device_nameStringBodyDevice name
product_nameStringBodyProduct name
macStringBodyMAC
space_nameStringBodySpace name
onlineBooleanBodyWhether the device is online or not?
true: online
false: offline
created_timeStringBodyCreated time, UTC

akuvox_device description

Parameter NameTypeLocationDescription
device_nameStringBodyDevice name
device_typeStringBodyDevice type, Multi-tenants Doorphone or Single-tenant Doorphone or Indoor Monitor or Guard Phone or Access Control
macStringBodyMAC
onlineBooleanBodyWhether the device is online or not?
true: online
false: offline
created_timeStringBodyCreated time, UTC

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_family_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"residence_id": "r2c4b070cc928496198944858b344fc68"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1724721898925,
"result": {
"family_name": "test",
"residence_no": "101",
"building_id": "b1a621c1ae77040d697bd2134700f57ee",
"building_name": "AB01",
"call_type": "ip",
"accounts": [
{
"account_id": "a1a621c1ae77040d697bd2134700f57ee",
"account_name": "test@akubela.com",
"first_name": "Fly",
"last_name": "Dom",
"phone": "1234567",
"email": "test@akubela.com",
"created_time": "2024-07-23 17:13:53",
"auth": "admin"
}
],
"devices": [
{
"device_id": "d28b494e5babb46b288f4baf7fe322cc4",
"device_name": "HyPanel Pro",
"product_name": "HyPanel Pro",
"mac": "B10300240717",
"space_name": "Living Room",
"online": true,
"created_time": "2024-07-17 17:55:30"
}
],
"akuvox_devices": [
{
"device_type": "Multi-tenants Doorphone",
"device_name": "test",
"mac": "0CF10532D226",
"online": true,
"created_time": "2024-07-17 17:55:31"
}
]
}
}

Failure Return Example

See Failure Return Example



Get Family Remote Connect

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
residence_idStringBodyYesResidence ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
remote_connect_urlStringBodyRemote connect URL
onlineBooleanBodyWhether the family is online or not?
true: online
false: offline

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_family_remote_connect",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"residence_id": "r2c4b070cc928496198944858b344fc68"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1724721898925,
"result": {
"remote_connect_url": "https://test.my.ecloud.akubela.com",
"online": true
}
}

Failure Return Example

See Failure Return Example